local t = LoadFallbackB()

if GAMESTATE:IsCourseMode() then
	-- do some sort of course display
	--t[#t+1] = StandardDecorationFromFile("CourseDisplay","CourseDisplay");

	-- don't forget the player trails
else
	-- hey look we have a song! let's show off some information about it.
	-- currently missing: banner(?), cdtitle(?), bpm
	t[#t+1] = StandardDecorationFromFile("SongDisplay","SongDisplay");

	-- don't forget player steps either
	for pn in ivalues(PlayerNumber) do
		t[#t+1] = LoadActor(THEME:GetPathG("ScreenStageInformation","StepInfo"),pn)..{
			Name="StepInfo"..PlayerNumberToString(pn);
			InitCommand=function(self)
				self:player(pn);
				ActorUtil.LoadAllCommandsAndSetXY(self,Var "LoadingScreen")
			end;
		};
	end
end

return t